Skip to main content
GET 

/market-quote/ltp

LTP Quotes Deprecated

API to retrieve the LTP quotes for one or more instruments. Provides LTPs of up to 500 instruments in one go. This API supports a maximum of 500 instrument keys in a single request.

Request

curl --location 'https://api.upstox.com/v2/market-quote/ltp?instrument_key=NSE_EQ%7CINE848E01016' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

Additional samples in various languages are available in the Sample Code section on this page.

Query Parameters

NameRequiredDescription
instrument_keyRequiredComma separated list of instrument keys. For the regex pattern applicable to this field, see the Field Pattern Appendix.

Responses

Response body

{
"status": "success",
"data": {
"NSE_EQ:NHPC": {
"last_price": 52.05,
"instrument_token": "NSE_EQ|INE848E01016"
}
}
}
NameTypeDescription
statusstringA string indicating the outcome of the request. Typically success for successful operations.
dataobjectData object holding LTP information
data.last_pricenumberThe last traded price of symbol
data.instrument_tokenstringKey of the instrument. For the regex pattern applicable to this field, see the Field Pattern Appendix.

Sample Code

Get ltp (last traded price) market quotes

curl --location 'https://api.upstox.com/v2/market-quote/ltp?instrument_key=NSE_EQ%7CINE848E01016' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'

Get ltp (last traded price) market quotes for multiple instruments keys

curl --location 'https://api.upstox.com/v2/market-quote/ltp?instrument_key=NSE_EQ%7CINE848E01016,NSE_EQ|INE669E01016' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your_access_token}'